Update environment variables
curl --request PATCH \
--url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/envs \
--header 'Content-Type: application/json' \
--data '
{
"encrypted_env": "<string>",
"env_keys": [
"<string>"
],
"compose_hash": "<string>",
"transaction_hash": "<string>"
}
'import requests
url = "https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/envs"
payload = {
"encrypted_env": "<string>",
"env_keys": ["<string>"],
"compose_hash": "<string>",
"transaction_hash": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
encrypted_env: '<string>',
env_keys: ['<string>'],
compose_hash: '<string>',
transaction_hash: '<string>'
})
};
fetch('https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/envs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}CVMs
Update environment variables
Updates encrypted environment variables. If env_keys changes for contract-owned KMS, requires two-phase flow with on-chain hash registration.
PATCH
/
api
/
v1
/
cvms
/
{cvm_id}
/
envs
Update environment variables
Path Parameters
Body
application/json
Encrypted env blob as hex string
Allowed env var names. Changes trigger verification for contract-owned KMS.
Hash from Phase 1 response (Phase 2 only)
Transaction hash proving on-chain registration (Phase 2 only)
Response
Update initiated, returns correlation_id and allowed_envs_changed flag
Was this page helpful?
⌘I

